CMSIS-DSP: arm_dotproduct_example_f32.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_dotproduct_example_f32.c File Reference

## Macros

#define | MAX_BLOCKSIZE
#define | DELTA

## Functions

int32_t | main (void)

## Variables

float32_t | srcA_buf_f32 [MAX_BLOCKSIZE]
float32_t | srcB_buf_f32 [MAX_BLOCKSIZE]
float32_t | refDotProdOut
float32_t | multOutput [MAX_BLOCKSIZE]
float32_t | testOutput
arm_status | status

## Macro Definition Documentation

#define DELTA

Examples:
  arm_dotproduct_example_f32.c.

#define MAX_BLOCKSIZE

Examples:
  arm_dotproduct_example_f32.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_dotproduct_example_f32.c.

## Variable Documentation

float32_t multOutput[MAX_BLOCKSIZE]

Examples:
  arm_dotproduct_example_f32.c.

float32_t refDotProdOut

Examples:
  arm_dotproduct_example_f32.c.

float32_t srcA_buf_f32[MAX_BLOCKSIZE]

Examples:
  arm_dotproduct_example_f32.c.

float32_t srcB_buf_f32[MAX_BLOCKSIZE]

Examples:
  arm_dotproduct_example_f32.c.

arm_status status

Examples:
  arm_convolution_example_f32.c, arm_dotproduct_example_f32.c, arm_fft_bin_example_f32.c, arm_fir_example_f32.c, arm_graphic_equalizer_example_q31.c, arm_linear_interp_example_f32.c, arm_matrix_example_f32.c, arm_signal_converge_example_f32.c, and arm_variance_example_f32.c.

float32_t testOutput

Examples:
  arm_dotproduct_example_f32.c.